<!DOCTYPE html>
<html lang="en">
  <head>
    <title>BUOI5_JS</title>
    <!-- Required meta tags -->
    <meta charset="utf-8" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1, shrink-to-fit=no"
    />

    <!-- Bootstrap CSS -->
    <link
      rel="stylesheet"
      href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
      integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
      crossorigin="anonymous"
    />
    <link
      href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css"
      rel="stylesheet"
      integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC"
      crossorigin="anonymous"
    />
    <link
      rel="stylesheet"
      href="https://cdn.jsdelivr.net/gh/khloe1425/baitapham@master/css/style.min.css"
    />
  </head>
  <body>
    <div class="container py-5">
      <div class="card w-75 mx-auto">
        <div class="bg-holder d-none d-lg-block bg-card"></div>
        <div class="card-body position-relative p-0">
          <div class="row p-0">
            <div
              class="col-12 col-md-4 col-lg-3 col-xl-2 nav-tabs nav flex-md-column nav-pills"
              id="v-pills-tab"
              role="tablist"
              aria-orientation="vertical"
            >
              <button
                class="nav-link btn-tabs mb-2 active"
                id="v-pills-home-tab"
                data-bs-toggle="pill"
                data-bs-target="#bai1"
                type="button"
                role="tab"
                aria-controls="v-pills-home"
                aria-selected="true"
              >
                Bài 1
              </button>
              <button
                class="nav-link btn-tabs mb-2"
                id="v-pills-home-tab"
                data-bs-toggle="pill"
                data-bs-target="#bai2"
                type="button"
                role="tab"
                aria-controls="v-pills-home"
                aria-selected="true"
              >
                Bài 2
              </button>
              <!-- <button
                class="nav-link btn-tabs mb-2"
                id="v-pills-home-tab"
                data-bs-toggle="pill"
                data-bs-target="#bai3"
                type="button"
                role="tab"
                aria-controls="v-pills-home"
                aria-selected="true"
              >
                Bài 3
              </button> -->
              <!-- <button
                class="nav-link btn-tabs mb-2"
                id="v-pills-home-tab"
                data-bs-toggle="pill"
                data-bs-target="#bai4"
                type="button"
                role="tab"
                aria-controls="v-pills-home"
                aria-selected="true"
              >
                Bài 4
              </button> -->
            </div>
            <div
              class="col-12 col-md-8 col-lg-9 col-xl-10 tab-content"
              id="v-pills-tabContent"
            >
              <div
                class="tab-pane fade show active"
                id="bai1"
                role="tabpanel"
                aria-labelledby="v-pills-home-tab"
              >
                <h4 class="card--heading">🏫 Quản lý tuyển sinh</h4>

                <form class="row gy-3 align-items-center px-2">
                  <div class="col-12 col-lg-4">
                    <input
                      type="number"
                      class="form-control form__input"
                      id="inputDiemChuan"
                      placeholder="Điểm chuẩn"
                    />
                  </div>
                  <div class="col-12 col-lg-4">
                    <select
                      class="form-control form__input"
                      name=""
                      id="chonKhuVuc"
                    >
                      <option value="0">Chọn khu vực</option>
                      <option value="2">A</option>
                      <option value="1">B</option>
                      <option value="0.5">C</option>
                    </select>
                  </div>
                  <div class="col-12 col-lg-4">
                    <select
                      class="form-control form__input"
                      name=""
                      id="chonDoiTuong"
                    >
                      <option value="0">Chọn đối tượng</option>
                      <option value="2.5">1</option>
                      <option value="1.5">2</option>
                      <option value="1">3</option>
                    </select>
                  </div>
                  <div class="col-12 col-lg-4">
                    <input
                      type="number"
                      class="form-control form__input"
                      id="diemMon-Thu1"
                      placeholder="Điểm môn thứ 1"
                    />
                  </div>
                  <div class="col-12 col-lg-4">
                    <input
                      type="number"
                      class="form-control form__input"
                      id="diemMon-Thu2"
                      placeholder="Điểm môn thứ 2"
                    />
                  </div>
                  <div class="col-12 col-lg-4">
                    <input
                      type="number"
                      class="form-control form__input"
                      id="diemMon-Thu3"
                      placeholder="Điểm môn thứ 3"
                    />
                  </div>

                  <div class="col-12">
                    <button
                      class="btn btn--primary me-1 mb-1"
                      type="button"
                      id="btnResult"
                      onclick="quanLyTuyenSinh()"
                    >
                      Kết Quả
                    </button>
                  </div>
                  <div class="alert alert-success" role="alert">
                    👉<span id="txtResult"></span>
                  </div>
                </form>
              </div>
              <div
                class="tab-pane fade"
                id="bai2"
                role="tabpanel"
                aria-labelledby="v-pills-home-tab"
              >
                <h4 class="card--heading">🔋 Tính tiền điện</h4>

                <form class="row gy-3 align-items-center px-2">
                  <div class="col-12 col-lg-4">
                    <input
                      type="text"
                      class="form-control form__input"
                      id="inputName"
                      placeholder="Nhập họ tên"
                    />
                  </div>

                  <div class="col-12 col-lg-4">
                    <input
                      type="number"
                      class="form-control form__input"
                      id="inputKW"
                      placeholder="Nhập số kw"
                    />
                  </div>

                  <div class="col-12">
                    <button
                      class="btn btn--primary me-1 mb-1"
                      type="button"
                      id="btnElecBill"
                      onclick="tinhTienDien()"
                    >
                      Tính tiền điện
                    </button>
                  </div>
                  <div class="alert alert-success" role="alert">
                    👉<span id="txtElecBill"></span>
                  </div>
                </form>
              </div>
              <!-- <div
                class="tab-pane fade"
                id="bai3"
                role="tabpanel"
                aria-labelledby="v-pills-home-tab"
              >
                <h4 class="card--heading">💰 Tính thuế thu nhập cá nhân</h4>
                <div class="callout callout-info">
                  <p>💡<b>Gợi ý:</b></p>
                  <details>
                    <summary>Mở rộng để xem thêm</summary>
                    <ul>
                      <li>
                        Tổng thu nhập năm các bạn tự nhập thêm. Giả sử 1 tháng
                        thu nhập 10tr thì 1 năm sẽ là 10 x 12 = 120tr => các bạn
                        sẽ nhập 120000000
                      </li>
                      <li>
                        Demo hiện tại đang tính % thuế theo điều kiện mà thu
                        nhập chịu thuế rơi vào. Vd: thu nhập chịu thuế là 110tr
                        thì tính 10% của 110tr => 110tr * 0.1
                      </li>
                      <li>
                        Do đề bài không ghi rõ yêu cầu tính thuế nên cũng có thể
                        tính theo cách chia ra từng đoạn thuế giống bài tính
                        tiền grab. Vd: 110tr => 60tr *0.05 + (110tr-60tr) * 0.1
                      </li>
                      <li>
                        Sử dụng input có type number thì khi nhập 120000000, có
                        thể nhập ngắn gọn thành 120e+6
                      </li>
                      <li>
                        Đối với các con số hàng triệu có nhiều số 0, có thể viết
                        ngắn gọn trong code như sau:<br />
                        4tr => 4000000 => 4e+6
                      </li>
                      <li>
                        Dùng NumberFormat để số tiền hiển thị đẹp hơn:
                        <a
                          href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl/NumberFormat"
                          target="_blank"
                          >NumberFormat</a
                        >
                      </li>
                    </ul>
                  </details>
                </div>
                <form class="row gy-3 align-items-center px-2">
                  <div class="col-12 col-lg-4">
                    <input
                      type="text"
                      class="form-control form__input"
                      id="inputName2"
                      placeholder="Nhập họ tên"
                    />
                  </div>
                  <div class="col-12 col-lg-4">
                    <input
                      type="number"
                      class="form-control form__input"
                      id="inputSalary"
                      placeholder="Tổng thu nhập năm"
                    />
                  </div>
                  <div class="col-12 col-lg-4">
                    <input
                      type="number"
                      class="form-control form__input"
                      id="inputUser"
                      placeholder="Số người phụ thuộc"
                    />
                  </div>

                  <div class="col-12">
                    <button
                      class="btn btn--primary me-1 mb-1"
                      type="button"
                      id="btnTax"
                    >
                      Tính tiền thuế
                    </button>
                  </div>
                  <div class="alert alert-success" role="alert">
                    👉<span id="txtTax"></span>
                  </div>
                </form>
              </div> -->
              <!-- <div
                class="tab-pane fade"
                id="bai4"
                role="tabpanel"
                aria-labelledby="v-pills-home-tab"
              >
                <h4 class="card--heading">🕸️ Tính tiền cáp</h4>
                <div class="callout callout-info">
                  <p>💡<b>Gợi ý:</b></p>
                  <details>
                    <summary>Mở rộng để xem thêm</summary>
                    <ul>
                      <li>
                        Sử dụng event onchange của dropdown để xử lý ẩn hiện cho
                        ô nhập số kết nối khi chọn loại khách hàng:
                        <a
                          href="https://www.w3schools.com/jsref/event_onchange.asp"
                          target="_blank"
                          >Onchange</a
                        >
                      </li>
                      <li>
                        Đối với loại khách hàng Doanh Nghiệp, tổng 10 kết nối
                        đầu là 75$ <br />
                        => đây là giá trọn gói, nếu doanh nghiệp lắp đặt số kết
                        nối nhỏ hơn 10 thì vẫn phải đóng 75$.<br />
                        Vd: 6 kết nối thì vẫn sẽ cộng 75$ vào tổng tiền.<br />
                        => Nếu lắp trên 10 kết nối thì kết nối thứ 11 trở đi sẽ
                        tính 5$/kết nối.
                      </li>
                    </ul>
                  </details>
                </div>
                <form class="row gy-3 align-items-center px-2">
                  <div class="col-12 col-lg-4">
                    <select
                      class="form-control form__input"
                      name=""
                      id="selCustomer"
                      onchange="disableInput()"
                    >
                      <option value="">Chọn loại khách hàng</option>
                      <option value="user">Nhà Dân</option>
                      <option value="company">Doanh Nghiệp</option>
                    </select>
                  </div>
                  <div class="col-12 col-lg-4">
                    <input
                      type="text"
                      class="form-control form__input"
                      id="inputID"
                      placeholder="Nhập mã khách hàng"
                    />
                  </div>
                  <div class="col-12 col-lg-4">
                    <input
                      type="number"
                      class="form-control form__input"
                      id="inputChanel"
                      placeholder="Số kênh cao cấp"
                    />
                  </div>
                  <div class="col-12 col-lg-4">
                    <input
                      type="number"
                      style="display: none"
                      class="form-control form__input"
                      id="inputConnect"
                      placeholder="Số kết nối"
                    />
                  </div>

                  <div class="col-12">
                    <button
                      class="btn btn--primary me-1 mb-1"
                      type="button"
                      id="btnNet"
                    >
                      Tính tiền cáp
                    </button>
                  </div>
                  <div class="alert alert-success" role="alert">
                    👉<span id="txtNet"></span>
                  </div>
                </form>
              </div> -->
            </div>
          </div>
        </div>
      </div>
    </div>
    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script
      src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
      integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
      integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
      integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js"
      integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM"
      crossorigin="anonymous"
    ></script>

    <script src="./index.js"></script>
  </body>
</html>
